# pulp_ostree-client
Fetch, Upload, Organize, and Distribute Software Packages

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 2.4.7
- Generator version: 7.10.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://pulpproject.org](https://pulpproject.org)

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_ostree
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_ostree
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import pulpcore.client.pulp_ostree
from pulpcore.client.pulp_ostree.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:24817
# See configuration.py for a list of all supported configuration parameters.
configuration = pulpcore.client.pulp_ostree.Configuration(
    host = "http://localhost:24817"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = pulpcore.client.pulp_ostree.Configuration(
    username = os.environ["USERNAME"],
    password = os.environ["PASSWORD"]
)

# Configure API key authorization: cookieAuth
configuration.api_key['cookieAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['cookieAuth'] = 'Bearer'


# Enter a context with an instance of the API client
with pulpcore.client.pulp_ostree.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pulpcore.client.pulp_ostree.ContentCommitsApi(api_client)
    checksum = 'checksum_example' # str | Filter results where checksum matches value (optional)
    limit = 56 # int | Number of results to return per page. (optional)
    offset = 56 # int | The initial index from which to return the results. (optional)
    ordering = ['ordering_example'] # List[str] | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `upstream_id` - Upstream id * `-upstream_id` - Upstream id (descending) * `pulp_labels` - Pulp labels * `-pulp_labels` - Pulp labels (descending) * `timestamp_of_interest` - Timestamp of interest * `-timestamp_of_interest` - Timestamp of interest (descending) * `checksum` - Checksum * `-checksum` - Checksum (descending) * `relative_path` - Relative path * `-relative_path` - Relative path (descending) * `pk` - Pk * `-pk` - Pk (descending) (optional)
    orphaned_for = 3.4 # float | Minutes Content has been orphaned for. -1 uses ORPHAN_PROTECTION_TIME. (optional)
    prn__in = ['prn__in_example'] # List[str] | Multiple values may be separated by commas. (optional)
    pulp_href__in = ['pulp_href__in_example'] # List[str] | Multiple values may be separated by commas. (optional)
    pulp_id__in = ['pulp_id__in_example'] # List[str] | Multiple values may be separated by commas. (optional)
    pulp_label_select = 'pulp_label_select_example' # str | Filter labels by search string (optional)
    q = 'q_example' # str | Filter results by using NOT, AND and OR operations on other filters (optional)
    repository_version = 'repository_version_example' # str | Repository Version referenced by HREF/PRN (optional)
    repository_version_added = 'repository_version_added_example' # str | Repository Version referenced by HREF/PRN (optional)
    repository_version_removed = 'repository_version_removed_example' # str | Repository Version referenced by HREF/PRN (optional)
    fields = ['fields_example'] # List[str] | A list of fields to include in the response. (optional)
    exclude_fields = ['exclude_fields_example'] # List[str] | A list of fields to exclude from the response. (optional)

    try:
        # List ostree commits
        api_response = api_instance.list(checksum=checksum, limit=limit, offset=offset, ordering=ordering, orphaned_for=orphaned_for, prn__in=prn__in, pulp_href__in=pulp_href__in, pulp_id__in=pulp_id__in, pulp_label_select=pulp_label_select, q=q, repository_version=repository_version, repository_version_added=repository_version_added, repository_version_removed=repository_version_removed, fields=fields, exclude_fields=exclude_fields)
        print("The response of ContentCommitsApi->list:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ContentCommitsApi->list: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentCommitsApi* | [**list**](docs/ContentCommitsApi.md#list) | **GET** /pulp/api/v3/content/ostree/commits/ | List ostree commits
*ContentCommitsApi* | [**read**](docs/ContentCommitsApi.md#read) | **GET** {ostree_ostree_commit_href} | Inspect an ostree commit
*ContentCommitsApi* | [**set_label**](docs/ContentCommitsApi.md#set_label) | **POST** {ostree_ostree_commit_href}set_label/ | Set a label
*ContentCommitsApi* | [**unset_label**](docs/ContentCommitsApi.md#unset_label) | **POST** {ostree_ostree_commit_href}unset_label/ | Unset a label
*ContentConfigsApi* | [**list**](docs/ContentConfigsApi.md#list) | **GET** /pulp/api/v3/content/ostree/configs/ | List ostree configs
*ContentConfigsApi* | [**read**](docs/ContentConfigsApi.md#read) | **GET** {ostree_ostree_config_href} | Inspect an ostree config
*ContentConfigsApi* | [**set_label**](docs/ContentConfigsApi.md#set_label) | **POST** {ostree_ostree_config_href}set_label/ | Set a label
*ContentConfigsApi* | [**unset_label**](docs/ContentConfigsApi.md#unset_label) | **POST** {ostree_ostree_config_href}unset_label/ | Unset a label
*ContentContentApi* | [**create**](docs/ContentContentApi.md#create) | **POST** /pulp/api/v3/content/ostree/content/ | Create an ostree content
*ContentContentApi* | [**list**](docs/ContentContentApi.md#list) | **GET** /pulp/api/v3/content/ostree/content/ | List ostree contents
*ContentContentApi* | [**read**](docs/ContentContentApi.md#read) | **GET** {ostree_ostree_content_href} | Inspect an ostree content
*ContentContentApi* | [**set_label**](docs/ContentContentApi.md#set_label) | **POST** {ostree_ostree_content_href}set_label/ | Set a label
*ContentContentApi* | [**unset_label**](docs/ContentContentApi.md#unset_label) | **POST** {ostree_ostree_content_href}unset_label/ | Unset a label
*ContentObjectsApi* | [**list**](docs/ContentObjectsApi.md#list) | **GET** /pulp/api/v3/content/ostree/objects/ | List ostree objects
*ContentObjectsApi* | [**read**](docs/ContentObjectsApi.md#read) | **GET** {ostree_ostree_object_href} | Inspect an ostree object
*ContentObjectsApi* | [**set_label**](docs/ContentObjectsApi.md#set_label) | **POST** {ostree_ostree_object_href}set_label/ | Set a label
*ContentObjectsApi* | [**unset_label**](docs/ContentObjectsApi.md#unset_label) | **POST** {ostree_ostree_object_href}unset_label/ | Unset a label
*ContentRefsApi* | [**list**](docs/ContentRefsApi.md#list) | **GET** /pulp/api/v3/content/ostree/refs/ | List ostree refs
*ContentRefsApi* | [**read**](docs/ContentRefsApi.md#read) | **GET** {ostree_ostree_ref_href} | Inspect an ostree ref
*ContentRefsApi* | [**set_label**](docs/ContentRefsApi.md#set_label) | **POST** {ostree_ostree_ref_href}set_label/ | Set a label
*ContentRefsApi* | [**unset_label**](docs/ContentRefsApi.md#unset_label) | **POST** {ostree_ostree_ref_href}unset_label/ | Unset a label
*ContentSummariesApi* | [**list**](docs/ContentSummariesApi.md#list) | **GET** /pulp/api/v3/content/ostree/summaries/ | List ostree summarys
*ContentSummariesApi* | [**read**](docs/ContentSummariesApi.md#read) | **GET** {ostree_ostree_summary_href} | Inspect an ostree summary
*ContentSummariesApi* | [**set_label**](docs/ContentSummariesApi.md#set_label) | **POST** {ostree_ostree_summary_href}set_label/ | Set a label
*ContentSummariesApi* | [**unset_label**](docs/ContentSummariesApi.md#unset_label) | **POST** {ostree_ostree_summary_href}unset_label/ | Unset a label
*DistributionsOstreeApi* | [**add_role**](docs/DistributionsOstreeApi.md#add_role) | **POST** {ostree_ostree_distribution_href}add_role/ | Add a role
*DistributionsOstreeApi* | [**create**](docs/DistributionsOstreeApi.md#create) | **POST** /pulp/api/v3/distributions/ostree/ostree/ | Create an ostree distribution
*DistributionsOstreeApi* | [**delete**](docs/DistributionsOstreeApi.md#delete) | **DELETE** {ostree_ostree_distribution_href} | Delete an ostree distribution
*DistributionsOstreeApi* | [**list**](docs/DistributionsOstreeApi.md#list) | **GET** /pulp/api/v3/distributions/ostree/ostree/ | List ostree distributions
*DistributionsOstreeApi* | [**list_roles**](docs/DistributionsOstreeApi.md#list_roles) | **GET** {ostree_ostree_distribution_href}list_roles/ | List roles
*DistributionsOstreeApi* | [**my_permissions**](docs/DistributionsOstreeApi.md#my_permissions) | **GET** {ostree_ostree_distribution_href}my_permissions/ | List user permissions
*DistributionsOstreeApi* | [**partial_update**](docs/DistributionsOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_distribution_href} | Update an ostree distribution
*DistributionsOstreeApi* | [**read**](docs/DistributionsOstreeApi.md#read) | **GET** {ostree_ostree_distribution_href} | Inspect an ostree distribution
*DistributionsOstreeApi* | [**remove_role**](docs/DistributionsOstreeApi.md#remove_role) | **POST** {ostree_ostree_distribution_href}remove_role/ | Remove a role
*DistributionsOstreeApi* | [**set_label**](docs/DistributionsOstreeApi.md#set_label) | **POST** {ostree_ostree_distribution_href}set_label/ | Set a label
*DistributionsOstreeApi* | [**unset_label**](docs/DistributionsOstreeApi.md#unset_label) | **POST** {ostree_ostree_distribution_href}unset_label/ | Unset a label
*DistributionsOstreeApi* | [**update**](docs/DistributionsOstreeApi.md#update) | **PUT** {ostree_ostree_distribution_href} | Update an ostree distribution
*RemotesOstreeApi* | [**add_role**](docs/RemotesOstreeApi.md#add_role) | **POST** {ostree_ostree_remote_href}add_role/ | Add a role
*RemotesOstreeApi* | [**create**](docs/RemotesOstreeApi.md#create) | **POST** /pulp/api/v3/remotes/ostree/ostree/ | Create an ostree remote
*RemotesOstreeApi* | [**delete**](docs/RemotesOstreeApi.md#delete) | **DELETE** {ostree_ostree_remote_href} | Delete an ostree remote
*RemotesOstreeApi* | [**list**](docs/RemotesOstreeApi.md#list) | **GET** /pulp/api/v3/remotes/ostree/ostree/ | List ostree remotes
*RemotesOstreeApi* | [**list_roles**](docs/RemotesOstreeApi.md#list_roles) | **GET** {ostree_ostree_remote_href}list_roles/ | List roles
*RemotesOstreeApi* | [**my_permissions**](docs/RemotesOstreeApi.md#my_permissions) | **GET** {ostree_ostree_remote_href}my_permissions/ | List user permissions
*RemotesOstreeApi* | [**partial_update**](docs/RemotesOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_remote_href} | Update an ostree remote
*RemotesOstreeApi* | [**read**](docs/RemotesOstreeApi.md#read) | **GET** {ostree_ostree_remote_href} | Inspect an ostree remote
*RemotesOstreeApi* | [**remove_role**](docs/RemotesOstreeApi.md#remove_role) | **POST** {ostree_ostree_remote_href}remove_role/ | Remove a role
*RemotesOstreeApi* | [**set_label**](docs/RemotesOstreeApi.md#set_label) | **POST** {ostree_ostree_remote_href}set_label/ | Set a label
*RemotesOstreeApi* | [**unset_label**](docs/RemotesOstreeApi.md#unset_label) | **POST** {ostree_ostree_remote_href}unset_label/ | Unset a label
*RemotesOstreeApi* | [**update**](docs/RemotesOstreeApi.md#update) | **PUT** {ostree_ostree_remote_href} | Update an ostree remote
*RepositoriesOstreeApi* | [**add_role**](docs/RepositoriesOstreeApi.md#add_role) | **POST** {ostree_ostree_repository_href}add_role/ | Add a role
*RepositoriesOstreeApi* | [**create**](docs/RepositoriesOstreeApi.md#create) | **POST** /pulp/api/v3/repositories/ostree/ostree/ | Create an ostree repository
*RepositoriesOstreeApi* | [**delete**](docs/RepositoriesOstreeApi.md#delete) | **DELETE** {ostree_ostree_repository_href} | Delete an ostree repository
*RepositoriesOstreeApi* | [**import_all**](docs/RepositoriesOstreeApi.md#import_all) | **POST** {ostree_ostree_repository_href}import_all/ | Import refs and commits to a repository
*RepositoriesOstreeApi* | [**import_commits**](docs/RepositoriesOstreeApi.md#import_commits) | **POST** {ostree_ostree_repository_href}import_commits/ | Append child commits to a repository
*RepositoriesOstreeApi* | [**list**](docs/RepositoriesOstreeApi.md#list) | **GET** /pulp/api/v3/repositories/ostree/ostree/ | List ostree repositorys
*RepositoriesOstreeApi* | [**list_roles**](docs/RepositoriesOstreeApi.md#list_roles) | **GET** {ostree_ostree_repository_href}list_roles/ | List roles
*RepositoriesOstreeApi* | [**modify**](docs/RepositoriesOstreeApi.md#modify) | **POST** {ostree_ostree_repository_href}modify/ | Modify repository
*RepositoriesOstreeApi* | [**my_permissions**](docs/RepositoriesOstreeApi.md#my_permissions) | **GET** {ostree_ostree_repository_href}my_permissions/ | List user permissions
*RepositoriesOstreeApi* | [**partial_update**](docs/RepositoriesOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_repository_href} | Update an ostree repository
*RepositoriesOstreeApi* | [**read**](docs/RepositoriesOstreeApi.md#read) | **GET** {ostree_ostree_repository_href} | Inspect an ostree repository
*RepositoriesOstreeApi* | [**remove_role**](docs/RepositoriesOstreeApi.md#remove_role) | **POST** {ostree_ostree_repository_href}remove_role/ | Remove a role
*RepositoriesOstreeApi* | [**set_label**](docs/RepositoriesOstreeApi.md#set_label) | **POST** {ostree_ostree_repository_href}set_label/ | Set a label
*RepositoriesOstreeApi* | [**sync**](docs/RepositoriesOstreeApi.md#sync) | **POST** {ostree_ostree_repository_href}sync/ | Sync from remote
*RepositoriesOstreeApi* | [**unset_label**](docs/RepositoriesOstreeApi.md#unset_label) | **POST** {ostree_ostree_repository_href}unset_label/ | Unset a label
*RepositoriesOstreeApi* | [**update**](docs/RepositoriesOstreeApi.md#update) | **PUT** {ostree_ostree_repository_href} | Update an ostree repository
*RepositoriesOstreeVersionsApi* | [**delete**](docs/RepositoriesOstreeVersionsApi.md#delete) | **DELETE** {ostree_ostree_repository_version_href} | Delete a repository version
*RepositoriesOstreeVersionsApi* | [**list**](docs/RepositoriesOstreeVersionsApi.md#list) | **GET** {ostree_ostree_repository_href}versions/ | List repository versions
*RepositoriesOstreeVersionsApi* | [**read**](docs/RepositoriesOstreeVersionsApi.md#read) | **GET** {ostree_ostree_repository_version_href} | Inspect a repository version
*RepositoriesOstreeVersionsApi* | [**repair**](docs/RepositoriesOstreeVersionsApi.md#repair) | **POST** {ostree_ostree_repository_version_href}repair/ | 


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [ContentSummaryResponse](docs/ContentSummaryResponse.md)
 - [MyPermissionsResponse](docs/MyPermissionsResponse.md)
 - [NestedRole](docs/NestedRole.md)
 - [NestedRoleResponse](docs/NestedRoleResponse.md)
 - [ObjectRolesResponse](docs/ObjectRolesResponse.md)
 - [OstreeImportAll](docs/OstreeImportAll.md)
 - [OstreeImportCommitsToRef](docs/OstreeImportCommitsToRef.md)
 - [OstreeOstreeCommitResponse](docs/OstreeOstreeCommitResponse.md)
 - [OstreeOstreeConfigResponse](docs/OstreeOstreeConfigResponse.md)
 - [OstreeOstreeContent](docs/OstreeOstreeContent.md)
 - [OstreeOstreeContentResponse](docs/OstreeOstreeContentResponse.md)
 - [OstreeOstreeDistribution](docs/OstreeOstreeDistribution.md)
 - [OstreeOstreeDistributionResponse](docs/OstreeOstreeDistributionResponse.md)
 - [OstreeOstreeObjectResponse](docs/OstreeOstreeObjectResponse.md)
 - [OstreeOstreeRefResponse](docs/OstreeOstreeRefResponse.md)
 - [OstreeOstreeRemote](docs/OstreeOstreeRemote.md)
 - [OstreeOstreeRemoteResponse](docs/OstreeOstreeRemoteResponse.md)
 - [OstreeOstreeRemoteResponseHiddenFieldsInner](docs/OstreeOstreeRemoteResponseHiddenFieldsInner.md)
 - [OstreeOstreeRepository](docs/OstreeOstreeRepository.md)
 - [OstreeOstreeRepositoryResponse](docs/OstreeOstreeRepositoryResponse.md)
 - [OstreeOstreeSummaryResponse](docs/OstreeOstreeSummaryResponse.md)
 - [PaginatedRepositoryVersionResponseList](docs/PaginatedRepositoryVersionResponseList.md)
 - [PaginatedostreeOstreeCommitResponseList](docs/PaginatedostreeOstreeCommitResponseList.md)
 - [PaginatedostreeOstreeConfigResponseList](docs/PaginatedostreeOstreeConfigResponseList.md)
 - [PaginatedostreeOstreeContentResponseList](docs/PaginatedostreeOstreeContentResponseList.md)
 - [PaginatedostreeOstreeDistributionResponseList](docs/PaginatedostreeOstreeDistributionResponseList.md)
 - [PaginatedostreeOstreeObjectResponseList](docs/PaginatedostreeOstreeObjectResponseList.md)
 - [PaginatedostreeOstreeRefResponseList](docs/PaginatedostreeOstreeRefResponseList.md)
 - [PaginatedostreeOstreeRemoteResponseList](docs/PaginatedostreeOstreeRemoteResponseList.md)
 - [PaginatedostreeOstreeRepositoryResponseList](docs/PaginatedostreeOstreeRepositoryResponseList.md)
 - [PaginatedostreeOstreeSummaryResponseList](docs/PaginatedostreeOstreeSummaryResponseList.md)
 - [PatchedostreeOstreeDistribution](docs/PatchedostreeOstreeDistribution.md)
 - [PatchedostreeOstreeRemote](docs/PatchedostreeOstreeRemote.md)
 - [PatchedostreeOstreeRepository](docs/PatchedostreeOstreeRepository.md)
 - [PolicyEnum](docs/PolicyEnum.md)
 - [Repair](docs/Repair.md)
 - [RepositoryAddRemoveContent](docs/RepositoryAddRemoveContent.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RepositoryVersionResponse](docs/RepositoryVersionResponse.md)
 - [SetLabel](docs/SetLabel.md)
 - [SetLabelResponse](docs/SetLabelResponse.md)
 - [UnsetLabel](docs/UnsetLabel.md)
 - [UnsetLabelResponse](docs/UnsetLabelResponse.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="basicAuth"></a>
### basicAuth

- **Type**: HTTP basic authentication

<a id="cookieAuth"></a>
### cookieAuth

- **Type**: API key
- **API key parameter name**: sessionid
- **Location**: 


## Author

pulp-list@redhat.com


